Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ORB_Core_Static_Resources Class Reference

The static (global) resoures of all ORB cores. More...

`#include <ORB_Core.h>`

List of all members.

## Static Public Methods
TAO_ORB_Core_Static_Resources * | instance (void)
| Return the singleton instance.
## Public Attributes
TAO_ORB_Core::Sync_Scope_Hook | sync_scope_hook_
ACE_CString | protocols_hooks_name_
TAO_ORB_Core::Timeout_Hook | timeout_hook_
| The hook to be set for the RelativeRoundtripTimeoutPolicy.
TAO_ORB_Core::Timeout_Hook | connection_timeout_hook_
| The hook to be set for the ConnectionTimeoutPolicy.
ACE_CString | endpoint_selector_factory_name_
ACE_CString | thread_lane_resources_manager_factory_name_
ACE_CString | collocation_resolver_name_
ACE_CString | stub_factory_name_
ACE_CString | resource_factory_name_
ACE_CString | dynamic_adapter_name_
ACE_CString | ifr_client_adapter_name_
ACE_CString | typecodefactory_adapter_name_
ACE_CString | iorinterceptor_adapter_factory_name_
ACE_CString | valuetype_adapter_name_
ACE_CString | poa_factory_name_
ACE_CString | poa_factory_directive_
## Private Methods
| TAO_ORB_Core_Static_Resources (void)
| Constructor.
## Static Private Attributes
TAO_ORB_Core_Static_Resources * | instance_ = 0
| The singleton instance.
TAO_ORB_Core_Static_Resources * | initialization_reference_

## Detailed Description

The static (global) resoures of all ORB cores.

This class is used by the ORB_Core to store the resources global to all ORB_Cores. All instance variables that would have been declared "static" in TAO_ORB_Core, should be declared in this class to avoid the "static initialization order fiasco" as described in http://www.parashift.com/c++-faq-lite/ctors.html#faq-10.11. Briefly, this is the problem that occurs if any static initializers in any other code call into set static members of TAO_ORB_Core. Since the order in which these initializers execute is unspecified, uninitialized members can be accessed.

## Constructor & Destructor Documentation

TAO_ORB_Core_Static_Resources::TAO_ORB_Core_Static_Resources | ( | void |  | ) | `[private]`

| Constructor.

## Member Function Documentation

TAO_ORB_Core_Static_Resources * TAO_ORB_Core_Static_Resources::instance | ( | void |  | ) | `[static]`

| Return the singleton instance.

## Member Data Documentation

ACE_CString TAO_ORB_Core_Static_Resources::collocation_resolver_name_

TAO_ORB_Core::Timeout_Hook TAO_ORB_Core_Static_Resources::connection_timeout_hook_

| The hook to be set for the ConnectionTimeoutPolicy.

ACE_CString TAO_ORB_Core_Static_Resources::dynamic_adapter_name_

ACE_CString TAO_ORB_Core_Static_Resources::endpoint_selector_factory_name_

ACE_CString TAO_ORB_Core_Static_Resources::ifr_client_adapter_name_

TAO_ORB_Core_Static_Resources * TAO_ORB_Core_Static_Resources::initialization_reference_`[static, private]`

| Initial value:
      TAO_ORB_Core_Static_Resources::instance ()
Mostly unused variable whose sole purpose is to enforce the instantiation of a TAO_ORB_Core_Static_Resources instance at initialization time.

TAO_ORB_Core_Static_Resources * TAO_ORB_Core_Static_Resources::instance_ = 0`[static, private]`

| The singleton instance.

ACE_CString TAO_ORB_Core_Static_Resources::iorinterceptor_adapter_factory_name_

ACE_CString TAO_ORB_Core_Static_Resources::poa_factory_directive_

ACE_CString TAO_ORB_Core_Static_Resources::poa_factory_name_

ACE_CString TAO_ORB_Core_Static_Resources::protocols_hooks_name_

ACE_CString TAO_ORB_Core_Static_Resources::resource_factory_name_

ACE_CString TAO_ORB_Core_Static_Resources::stub_factory_name_

TAO_ORB_Core::Sync_Scope_Hook TAO_ORB_Core_Static_Resources::sync_scope_hook_

ACE_CString TAO_ORB_Core_Static_Resources::thread_lane_resources_manager_factory_name_

TAO_ORB_Core::Timeout_Hook TAO_ORB_Core_Static_Resources::timeout_hook_

| The hook to be set for the RelativeRoundtripTimeoutPolicy.

ACE_CString TAO_ORB_Core_Static_Resources::typecodefactory_adapter_name_

ACE_CString TAO_ORB_Core_Static_Resources::valuetype_adapter_name_

The documentation for this class was generated from the following files:

- ORB_Core.h
- ORB_Core.cpp